%define up_name check_lm_sensors
%define name    nagios-%{up_name}
%define version 3.1.0
%define release %mkrel 2

Name:       %{name}
Version:    %{version}
Release:    %{release}
Summary:    A Nagios plugin to monitor sensors values
License:    GPL
Group:      Networking/Other
Source:     http://www.id.ethz.ch/people/allid_list/corti/%{up_name}-%{version}.tar.gz
Requires:   hddtemp
Requires:   perl-Nagios-Plugin
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
check_lm_sensors is a Nagios plugin to monitor the values of on board sensors
and hard disk temperatures on Linux systems

%prep
%setup -q -n %{up_name}-%{version}

%build

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_libdir}/nagios/plugins
install -m 755 check_lm_sensors %{buildroot}%{_libdir}/nagios/plugins

install -d -m 755 %{buildroot}%{_sysconfdir}/nagios/plugins.d
cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_lm_sensors.cfg <<'EOF'
define command{
	command_name	check_lm_sensors
	command_line	%{_libdir}/nagios/plugins/check_lm_sensors
}
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS Changes NEWS README INSTALL TODO COPYING VERSION
%{_libdir}/nagios/plugins/check_lm_sensors
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_lm_sensors.cfg



%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.1.0-2mdv2009.0
+ Revision: 268243
- rebuild early 2009.0 package (before pixel changes)

* Wed Jun 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.1.0-1mdv2009.0
+ Revision: 218048
- import nagios-check_lm_sensors


* Wed Jun 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.1.0-1mdv2009.0
- first mdv package
